Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sys-libs/zlib please use zlib-ng as is more updated
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
timofonic
n00b
n00b


Joined: 13 Sep 2005
Posts: 16

PostPosted: Thu Sep 07, 2017 5:03 am    Post subject: sys-libs/zlib please use zlib-ng as is more updated Reply with quote

Hello.

What about replacing the code in zlib package by zlib-ng? maddler is not so active at upstream and forking hell is appearing. Of these forks, zlib-ng looks more promising.

https://github.com/Dead2/zlib-ng
" zlib replacement with optimizations for "next generation" systems."

Here's a list of forks: https://github.com/Dead2/zlib-ng/issues/120

Suggestion to merge to libz project: https://gitlab.com/sortix/libz/issues/3

https://github.com/madler/zlib/issues/298 (What's the current development status? No new commits since months )

I also sent an email to zlib developer, but BarracudaCentral antispam fltered it. I sent it again to zlib-devel

I recommend you to register to their mailing list and ask what's the current status of zlib project. zlib project may be small, but essential and widely used. It has many bugs and security issues that need to be resolved.

http://zlib.net/mailman/listinfo/zlib-devel_madler.net

Here I made a list of CVE issues at zlib: https://github.com/Dead2/zlib-ng/issues/121

Please spread this as much as possible and make people interested in zlib project to improve to send messages to the mailing list.

Kind regards.
Back to top
View user's profile Send private message
candrews
Developer
Developer


Joined: 10 Aug 2005
Posts: 130

PostPosted: Thu Sep 07, 2017 1:16 pm    Post subject: Reply with quote

I suggest that you report this request at https://bugs.gentoo.org
_________________
I'm working on a variety of random things throughout Gentoo.
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1333

PostPosted: Thu Sep 07, 2017 5:55 pm    Post subject: Reply with quote

One thing you may want to check on, is if zlib-ng is a drop in replacement or not. This would really limit the likelihood of zlib-ng getting used, if you can't just swap the 2 libraries out without issues. A prime example, would be libressl, that supposedly you should be able to replace openssl with it, but can't just swap them out because so many packages break using libressl.
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 4386

PostPosted: Thu Sep 07, 2017 6:11 pm    Post subject: Reply with quote

ct85711 wrote:
A prime example, would be libressl, that supposedly you should be able to replace openssl with it, but can't just swap them out because so many packages break using libressl.

If you're using openssl, chances are you're not using the latest version because it causes exactly the same thing. As did the current stable version when upgrading from 0.9...
_________________
Your PID1 sucks // runit-scripts
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum